.. AUTO-GENERATED FILE. DO NOT EDIT. /hardware-toolboxes-delete-one ============================== Summary ------- - **Source repository:** ``jef-systems/jef-hardware-backend`` - **Source SHA:** ``da55214e1c0cdc1f340e0eaca147285c336498dd`` - **Source run id:** ``25890112298`` - **Lambda function:** ``jef-hardware-toolboxes-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/hardware-toolboxes-delete-one`` - **Endpoint URL:** ``https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-hardware-toolboxes-delete-one - ``Module``: jef-hardware - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /hardware-toolboxes-delete-one - ``Table``: jef-hardware-toolboxes - ``Primary Key``: toolbox\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``toolbox\_id``: ccb00721-6479-4c14-be47-c021b95aa31a Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.toolbox_id.type", "value": "S" }, { "key": "root.attributes.toolbox_id.required", "value": "True" }, { "key": "root.attributes.toolbox_id.format", "value": "uuidv4" }, { "key": "root.attributes.toolbox_id.regex", "value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "toolbox_id", "value": "ccb00721-6479-4c14-be47-c021b95aa31a" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one" -H "Content-Type: application/json" --data-raw "{\"toolbox_id\": \"ccb00721-6479-4c14-be47-c021b95aa31a\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://5g667fp458.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-delete-one" -H "Content-Type: application/json" --data-raw '{"toolbox_id": "ccb00721-6479-4c14-be47-c021b95aa31a"}'